libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Public Attributes | List of all members
libcamera::IPABuffer Struct Reference

Buffer information for the IPA interface. More...

## Public Attributes
uint32_t | id
| The buffer unique ID.
std::vector< FrameBuffer::Plane > | planes
| The buffer planes description.

## Detailed Description

Buffer information for the IPA interface.

The IPABuffer structure associates buffer memory with a unique ID. It is used to map buffers to the IPA with IPAInterface::mapBuffers(), after which buffers will be identified by their ID in the IPA interface.

## Member Data Documentation

## ◆ id

uint32_t libcamera::IPABuffer::id

The buffer unique ID.

Buffers mapped to the IPA are identified by numerical unique IDs. The IDs are chosen by the pipeline handler to fulfil the following constraints:

- IDs shall be positive integers different than zero
- IDs shall be unique among all mapped buffers

When buffers are unmapped with IPAInterface::unmapBuffers() their IDs are freed and may be reused for new buffer mappings.

## ◆ planes

std::vector<FrameBuffer::Plane> libcamera::IPABuffer::planes

The buffer planes description.

Stores the dmabuf handle and length for each plane of the buffer.

The documentation for this struct was generated from the following files:

- /build/libcamera/src/build/include/libcamera/ipa/core_ipa_interface.h
- /build/libcamera/src/build/src/libcamera/ipa/core_ipa_interface.cpp